<?php 

define("PUBLIC_ACCESS", 1);

?>

<!DOCTYPE html>
<html lang="en">

<head>
  <meta http-equiv="Content-Language" content="en-us">
  <title>Control Instances</title>
  <meta charset="utf-8">
  <link rel="stylesheet" href="/ext/bootstrap/bootstrap.min.css">
  <link rel="stylesheet" href="/ext/bootstrap/bootstrap-theme.min.css">
  <link rel="stylesheet" href="/site/css/stickythead.css">
  <link rel="stylesheet" href="/site/css/bootstrap.css">
  <link rel="stylesheet" href="/site/css/slider.css">
  <link rel="stylesheet" href="/site/css/style.css">

  <script src="/ext/jquery/jquery-3.1.1.min.js"></script>
  <script src="/ext/bootstrap/bootstrap.min.js"></script>
  <script src="/ext/jquery/jquery.stickytableheaders.min.js"></script>
  <script src="/site/js/main.js"></script>

<style>

body {
  font-family:'Courier New';
  font-size:16px;
  font-weight:600;
  color:#000;
}

.btn {
    width:160px;    
}

label {
  margin-bottom:0px;
}

.table>td { 
  vertical-align:bottom;    
}

td > * {
  width:100%;
}

select, input {
 height:28px;
 width:100%;
}

input[type=checkbox] {
  height:20px;
  width:20px;
  vertical-align:middle;
}


</style>

</head>
<body>

<?php 

  // Include the MVC class definitions
  $docRoot = $_SERVER['DOCUMENT_ROOT'];
  $toolkit = "$docRoot/toolkit";
  require_once ("$toolkit/formdatahandler.php");
  require_once ("$toolkit/toggleslider.php");
  require_once ("$toolkit/inputtext.php");
  require_once ("$toolkit/selectoption.php");
  require_once ("$toolkit/summarytable.php");
  require_once ("$toolkit/putbutton.php");
  require_once ("$toolkit/filtertable.php");
  require_once ("$toolkit/tabularform.php");

  require_once ("$docRoot/sys/init.php");
  require_once ("$docRoot/sys/menu.php");
  require_once ("$docRoot/controlinstance/model.php");
  require_once ("$docRoot/controlinstance/view.php");

  // Initialize model
  $controlInstances = new modControlInstance();

  $controlInstancesView = new modControlInstanceView($controlInstances);
  echo $controlInstancesView->output();

?>

</body>
</html>

