<?php 

class modLotCompositionView {
  
  public function __construct(modLotComposition $lotComposition) {
    if (isset($lotComposition)) {

      $lo_id = (isset($_SESSION['login'])) ? $_SESSION['login'] : 0;
      $this->os_id = (isset($_SESSION['operationspatialunit'])) ? $_SESSION['operationspatialunit'] : 0;
        
      $menu = new MainMenu('lotcomposition', $lo_id);
      $this->beforeMenu = $menu->before();
      $this->afterMenu  = $menu->after();

      $controlsControls = new EntryInit('lotcomposition');
      $entryInit = $controlsControls->get("entryInit");
      foreach ($entryInit as $control) {
//print_r ($control);
//print_r ("<br>");        
        eval ($control);
      }
    }  
  }
  
  public function output() {

  $layout = "

  $this->beforeMenu

<div id='divlotcomposition' style='border:1px solid black;border-bottom:none;'>

  <div class='container'>	
    <div class='row'>
      <div class='col-md-12'>
        <label>Lot Definition</label>
        <table class='table table-condensed'>
          <tbody>
            <tr>
              <td colspan='2' style='width:20%;'>
    $this->selLotNameLayout
              </td>
              <td colspan='2' style='width:20%;'> 
    $this->selLotTypeLayout
              </td>
              <td colspan='6' style='width:60%;'>
              </td>
            </tr>
            <tr>
              <td colspan='3' style='width:30%;'>
    $this->selLotPropertyPartLayout
              </td>
              <td colspan='4' style='width:40%;'>
    $this->inpLotRationaleLayout
              </td>
              <td colspan='3' style='width:30%;'> 
    $this->selInterpretationLayout
              </td>
            </tr>
            <tr>
              <td colspan='10'>
                <div id='valmsgfrmParcelLot' style='color:red'></div>
              </td>
            </tr>
          </tbody>
        </table> 
        <div style='width:85%;margin-top:15px;background-color:#f1f1f1;border-style:outset;border-width:5px;'>
        <table class='table table-condensed' 
          style='width:95%;margin-left:20px;'>
          <tbody>
            <tr>
              <td colspan='6'>
                <label>Composition</label>
              </td>
              <td colspan='4'>
                <label>Inclusions</label>
              </td>
            </tr>
            <tr>
              <td colspan='2' style='width:20%;'>
    $this->selCompMaterialLayout
              </td>
              <td colspan='2' style='width:20%;'> 
    $this->selCompColourLayout
              </td>
              <td colspan='2' style='width:20%;'>
    $this->selCompCompactionLayout
              </td>
              <td colspan='4' rowspan='4' style='width:40%;'>
    $this->mulCompInclusionsLayout
              </td>
            </tr>
            <tr>
              <td colspan='2' style='width:20%;'>
    $this->selCompTextureLayout
              </td>
              <td colspan='2' style='width:20%;'> 
    $this->selCompSphericityLayout
              </td>
              <td colspan='2' style='width:20%;'>
    $this->selCompRoundingLayout
              </td>
            </tr>    
            <tr>    
              <td colspan='6' rowspan='3'>
    $this->inpCompositionNoteLayout
              </td>
            </tr>    
            <tr>    
              <td colspan='1'>
    $this->frmLotCompositionLayout
              </td>
            </tr>
            <tr>
              <td colspan='10'>
                <div id='valmsgfrmLotComposition' style='color:red'></div>
              </td>
            </tr>
            <tr>
              <td colspan='10'>
    $this->sumLotCompositionsLayout
              </td>
            </tr>
            <tr>
              <td colspan='10'>
    $this->delLotCompositionLayout
              </td>
            </tr>
          </tbody>
        </table>    
      </div>
      <table class='table table-condensed' style='margin-top:15px;'>
        <tbody>
          <tr>
            <td style='width:85%;'>
     $this->inpParcelLotNoteLayout
           </td>
            <td style='width:15%;'>
     $this->frmParcelLotLayout
           </td>
          </tr>
        </tbody>
      </table>    
      <table class='table table-bordered' style='margin-top:5px;'>
        <tbody>
          <tr>
            <td>
    $this->sumParcelLotsLayout
            </td>
          </tr>
          <tr>
            <td>
    $this->delParcelLotLayout
            </td>
          </tr>
        </tbody>
      </table>    
    </div>
  </div>    
</div>
</div>

$this->afterMenu 

<script>

if ($this->os_id == 0) {
  document.getElementById('divlotcomposition').style.display='none';
  document.getElementById('hdrmsglotcomposition').innerHTML=
    'Pre-select a Location';    
}

$this->frmParcelLotScript
$this->frmLotCompositionScript
$this->selLotNameScript
$this->selLotTypeScript
$this->selLotPropertyPartScript
$this->inpLotRationaleScript
$this->selInterpretationScript
$this->selCompMaterialScript
$this->selCompColourScript
$this->selCompCompactionScript
$this->mulCompInclusionsScript
$this->selCompTextureScript
$this->selCompSphericityScript
$this->selCompRoundingScript
$this->inpCompositionNoteScript
$this->sumLotCompositionsScript
$this->delLotCompositionScript
$this->inpParcelLotNoteScript
$this->sumParcelLotsScript
$this->delParcelLotScript

</script>
    ";
	
    return $layout;
 
  }
}

?>