<?php
session_start();
require_once($_SERVER['DOCUMENT_ROOT'] . '/sys/db.php');

foreach ($_POST as $paramName => $paramValue) {
  if ($paramName == "selectid")
    $ptr_id = $paramValue;
}

$dal = new DAL();

$sql = "SELECT PTR.id, " . 
       "WO.date AS sumid, WO.date AS sumid_text, " .
       "(CASE WHEN PTR.teamrole_id = 7 THEN 1 ELSE 0 END) AS absent, " . 
       "(CASE WHEN PTR.teamrole_id = 7 THEN 'Yes' ELSE 'No' END) AS absent_text, " .
       "PR.id AS project_id, PR.name AS project_id_text,  " .
       "PW.parcel_id, PA.name AS parcel_id_text, " .
       "PTR.teamrole_id,  TE.name AS teamrole_id_text, " .
       "OF.starttime, OF.starttime AS starttime_text, " .
       "OF.stoptime, OF.stoptime AS stoptime_text, " .
       "LPAD(OF.breakdur, 5, '0') AS breakdur, '' AS breakdur_text, " .
       "LPAD(OF.duration, 5, '0') AS duration, '' AS duration_text, " .
       "PTR.billable, " . 
       "(CASE WHEN billable = 1 THEN 'Yes' ELSE 'No' END) AS billable_text, " . 
       "PTR.rationale, PTR.rationale AS rationale_text, " .
       "PTR.note, PTR.note AS note_text " .
       "FROM loginworkday LW, workday WO, projectworkday PW, " .
       "projectworkdaypersonnel PWP, personnel PE, parcel PA, " .
       "project PR, projectteamrole PTR, officerole OF, teamrole TE " .
       "WHERE PTR.id = $ptr_id AND PWP.id = PTR.projectworkdaypersonnel_id " . 
       "AND OF.projecteamrole_id = PTR.id AND TE.id = PTR.teamrole_id " . 
       "AND PW.id = PWP.projectworkday_id AND WO.id = PW.workday_id " . 
       "AND PA.id = PW.parcel_id AND PR.id = PA.project_id LIMIT 1 ";
$result = $dal->query($sql);

echo json_encode($result);

?>

