<?php
 
require_once($_SERVER['DOCUMENT_ROOT'] . '/sys/db.php');

class modClientContact {

  public function __construct() {
    $dal = new DAL();

    $sql = "SELECT CI.instance AS field, " .
           "COL.value AS dbcolumn, LAB.value AS label, " .
           "0 AS newvalue, 0 AS dbvalue, '' AS newtext, '' AS dbtext, " .
           "CF.mandatory, CF.uniquekey, CF.confirm, CF.action, " .
           "CF.sequent, CF.sequent_frm, CF.sequent_upd, CF.sequent_ent, CF.sequent_chk " .
           "FROM controlinstance CI, controlform CF, " .
           "controlentry COL, controlentry LAB " . 
           "WHERE LAB.controlinstance_id = CI.id " .
           "AND LAB.property IN ('label', 'noLabel') " .
           "AND COL.controlinstance_id = CI.id AND COL.property = 'column' " .
           "AND CF.controlinstance_id = CI.id AND CF.formhandler_id = " .
           "(SELECT FH.id FROM controlinstance FH " .
           "WHERE FH.instance = 'frmProjectDefinition') ";
    $this->pdform_data = $dal->query($sql);  

    $sql = "SELECT CI.instance AS field, " .
           "COL.value AS dbcolumn, LAB.value AS label, " .
           "0 AS newvalue, 0 AS dbvalue, '' AS newtext, '' AS dbtext, " .
           "CF.mandatory, CF.uniquekey, CF.confirm, CF.action, " .
           "CF.sequent, CF.sequent_frm, CF.sequent_upd, CF.sequent_ent, CF.sequent_chk " .
           "FROM controlinstance CI, controlform CF, " .
           "controlentry COL, controlentry LAB " . 
           "WHERE LAB.controlinstance_id = CI.id " .
           "AND LAB.property IN ('label', 'noLabel') " .
           "AND COL.controlinstance_id = CI.id AND COL.property = 'column' " .
           "AND CF.controlinstance_id = CI.id AND CF.formhandler_id = " .
           "(SELECT FH.id FROM controlinstance FH " .
           "WHERE FH.instance = 'frmContactDefinition') ";
    $this->cdform_data = $dal->query($sql);  

    $sql = "SELECT CI.instance AS field, " .
           "COL.value AS dbcolumn, LAB.value AS label, " .
           "0 AS newvalue, 0 AS dbvalue, '' AS newtext, '' AS dbtext, " .
           "CF.mandatory, CF.uniquekey, CF.confirm, CF.action, CF.sequent " .
           "FROM controlinstance CI, controlform CF, " .
           "controlentry COL, controlentry LAB " . 
           "WHERE LAB.controlinstance_id = CI.id " .
           "AND LAB.property IN ('label', 'noLabel') " .
           "AND COL.controlinstance_id = CI.id AND COL.property = 'column' " .
           "AND CF.controlinstance_id = CI.id AND CF.formhandler_id = " .
           "(SELECT FH.id FROM controlinstance FH " .
           "WHERE FH.instance = 'frmOrganizationContact') ";
    $this->ocform_data = $dal->query($sql);  

$cnt = count($this->ocform_data);
//print_r ("cnt:$cnt");
    
    $default = array('1' => array("id"=>0, "RefNo"=>"", "Project Name"=>"",
                   "PIF"=>"", "Stage"=>"", "Contact"=>"",
                   "Organization"=>"", "Department"=>""));
    $this->project_sum = $this->toObject ($default);

    $sql = "SELECT CN.id AS id, CONCAT(CN.firstname, ' ', CN.surname) AS 'Contact Name', OG.name AS 'Contact Organization', EM.address AS 'Contact Email', CONCAT(LEFT(TL.value,3), '-', MID(TL.value, 4, 3), '-', RIGHT(TL.value, 4), ' ext. ', TL.exten) AS 'Contact Telephone' FROM contact CN, organizationcontact OC, organization OG, email EM, organizationcontactelno OCT, telno TL WHERE CN.active = 1 AND OC.contact_id = CN.id AND OC.organization_id = OG.id AND EM.organizationcontact_id = OC.id AND OCT.organizationcontact_id = OC.id AND OCT.telno_id = TL.id ORDER BY CN.surname ";
    $this->contact_sum = $dal->query($sql);

    if (count ($this->contact_sum) == 0) {
      $default = array('1' => array("id"=>0, "Contact Name"=>"", 
                   "Contact Type"=>"", "Contact Organization"=>"", 
                   "Contact Email"=>"", "Contact Telephone"=>""));
      $this->contact_sum = $this->toObject ($default);
    }

    $sql = "SELECT id, name AS text FROM organization WHERE active = 1 ";
    $this->organizations = $dal->query($sql);

    $sql = "SELECT id, descr AS text FROM contactype WHERE active = 1 ";
    $this->contact_types = $dal->query($sql);

    $sql = "SELECT id, descr AS text FROM title ";
    $this->titles = $dal->query($sql);

    $sql = "SELECT 0 AS id, 'Status' AS text " .
           "UNION ALL " .
           "SELECT id, descr AS text FROM status WHERE active = 1 ";
    $this->job_statuses = $dal->query($sql);

    $sql = "SELECT id, descr AS text FROM addresstype WHERE active = 1 ";
    $this->addr_types = $dal->query($sql);

    $sql = "SELECT abbreviation AS id, abbreviation AS text " .
           "FROM streetype WHERE active = 1 ";
    $this->street_types = $dal->query($sql);

    $sql = "SELECT 0 AS id, 'Direction' AS text " .
           "UNION ALL " .
           "SELECT abbreviation AS id, abbreviation AS text " .
           "FROM cardinal WHERE active = 1 ";
    $this->street_dirs = $dal->query($sql);

    $sql = "SELECT id, abbreviation AS text FROM cardinal WHERE active = 1 ";
    $this->street_directions = $dal->query($sql);

    $sql = "SELECT descr AS id, descr AS text FROM province ";
    $this->provinces = $dal->query($sql);

    $sql = "SELECT 0 AS id, 'Type' AS text " .
           "UNION ALL " .
           "SELECT id, descr AS text FROM telnotype WHERE active = 1 " .
           "UNION ALL " .
           "SELECT -1 AS id, 'Delete' AS text ";
    $this->telno_types = $dal->query($sql);

    $sql = "SELECT id, descr AS text FROM department WHERE active = 1 ";
    $this->departments = $dal->query($sql);

    $sql = "SELECT id, descr AS text FROM stage WHERE active = 1 ";
    $this->stages = $dal->query($sql);

    $sql = "SELECT licence_no AS id, licence_no AS text " .
           "FROM licence WHERE active = 1 ";
    $this->licences = $dal->query($sql);

    $default = array("id"=>0,  "fkid"=>0,
      "contact_id"=>0,         "contact_id_text"=>"",
      "firstname"=>0,          "contact_id_text"=>"",
      "organization_id"=>0,    "organization_id_text"=>"",
      "project_id"=>0,         "project_id_text"=>"",
      "name"=>"",              "name _text"=>"",
      "site_name"=>"",         "site_name_text"=>"",
      "development_refno"=>"", "development_refno_text"=>"", 
      "department_id"=>0,      "department_id_text"=>"",
      "refno"=>"",             "refno_text"=>"",
      "licence_no"=>0,          "licence_no_text"=>"",
      "stage_id"=>0,           "stage_id_text"=>"");
    $this->pdform_defs = $this->toObject ($default);

    $default = array("id"=>0, "fkid"=>0, 
        "contact_id"=>0,      "contact_id_text"=>"",
        "organization_id"=>0, "organization_id_text"=>"",
        "firstname"=>"",     "firstname_text"=>"",
        "middlename"=>"",    "middlename_text"=>"",
        "title"=>0,           "title_text"=>"");
    $this->cdform_defs = $this->toObject ($default);

    $default = array("id"=>0, "fkid"=>0,
        "email"=>"",          "email_text"=>"",
        "department"=>"",     "department_text"=>"",
        "suite"=>"",          "suite_text"=>"",
        "addresstype_id"=>0,  "addresstype_id_text"=>"",
        "careof"=>"",         "careof_text"=>"",
        "pobox"=>"",          "pobox_text"=>"",
        "station"=>"",        "station_text"=>"",
        "streetno"=>"",       "streetno_text"=>"",
        "streetname"=>"",     "streetname_text"=>"",
        "streetype"=>0,       "streetype_text"=>"",
        "streetdir"=>0,       "streetdir_text"=>"",
        "ruralroute"=>"",     "ruralroute_text"=>"",
        "city"=>"",           "city_text"=>"",
        "province"=>"ON",     "province_text"=>"",
        "postcode"=>"",       "postcode_text"=>"",
        "country"=>"Canada",  "postcode_text"=>"",
        "note"=>"",           "note_text"=>"",
        "login"=>"",          "login_text"=>"",
        "password"=>"",       "password_text"=>"");
    $this->ocform_defs = $this->toObject ($default);
  }
  
  public function get($prop) {
    return $this->$prop;
  }
  
  private function toObject($array) {
    $object = new stdClass();
    foreach ($array as $key => $value) {
      if (is_array($value)) {
        $value = $this->toObject($value);
      }
      $object->$key = $value;
    }
    return $object;
  }
 
  
}

?>