<?php
session_start();

require_once($_SERVER['DOCUMENT_ROOT'] . '/sys/db.php');
require_once($_SERVER['DOCUMENT_ROOT'] . '/sys/access.php');

date_default_timezone_set("Canada/Eastern");

$lo_id = $_SESSION['login'];

foreach ($_POST as $paramName => $paramValue) {
  if ($paramName == "fkid")
    $pr_id = $paramValue;
  if ($paramName == "id")
    $pw_id = $paramValue;
  elseif ($paramName == "project_id")
    $pr_id = $paramValue;
  elseif ($paramName == "parcel_id")
    $pa_id = $paramValue;
  elseif ($paramName == "date")
    $date = $paramValue;
  elseif ($paramName == "start_time") 
    $start_time = $paramValue;  
  elseif ($paramName == "end_time") 
    $end_time = $paramValue;  
  elseif ($paramName == "break_dur") 
    $break_dur = $paramValue;  
  elseif ($paramName == "note") 
    $note = $paramValue;  
}

$break = substr($break_dur,0,2) + substr($break_dur,3,2)/100;

$duration = (DateTime::createFromFormat("Y-m-d H:i", "$date $end_time")->getTimeStamp() -
            DateTime::createFromFormat("Y-m-d H:i", "$date $start_time")->getTimeStamp())/3600 - $break_dur;

$textdate = date('D M j, Y', strtotime($date));

$dal = new DAL;

$sql = "SELECT id FROM workday WHERE date = '$date' LIMIT 1 ";
$wo_id = $dal->query($sql)->id;

if (count($wo_id) == 0) {
  $wo_id = hexdec(uniqid());

  $sql = "INSERT INTO workday (id, date, textdate) " .
         "VALUES ($wo_id, '$date', '$textdate') ";
  $result = $dal->query($sql);
}  

$sql = "SELECT id FROM loginworkday " .
       "WHERE workday_id = $wo_id AND login_id = $lo_id LIMIT 1";
$lw_id = $dal->query($sql)->id;

if (null === $lw_id) {
  $lw_id = hexdec(uniqid());
  
  $sql = "INSERT INTO loginworkday (id, workday_id, login_id) " .
         "VALUES ($lw_id, $wo_id, $lo_id) ";
  $result = $dal->query($sql);
}

if ($pw_id == 0) {
  $pw_id = hexdec(uniqid());

  $sql = "INSERT INTO projectworkday " .
         "(id, workday_id, parcel_id, login_id, note) " . 
         "VALUES ($pw_id, $wo_id, $pa_id, $lo_id, '$note') " ;
  $result = $dal->query($sql);

  $fw_id = hexdec(uniqid());

  $sql = "INSERT INTO fieldworkday " .
         "(id, projectworkday_id, start_time, end_time, break_dur, duration) " . 
         "VALUES ($fw_id, $pw_id, '$start_time', '$end_time', '$break_dur', $duration) " ;
  $result = $dal->query($sql);

  $return = true;
}

else {
  $sql = "UPDATE projectworkday " .
         "SET workday_id='$wo_id', parcel_id='$pa_id', note='$note' " .
         "WHERE id = $pw_id ";
  $return = $dal->query($sql);

  $sql = "UPDATE fieldworkday " .
         "SET start_time='$start_time', end_time='$end_time', break_dur='$break_dur', " .
         "duration=$duration " .
         "WHERE projectworkday_id = $pw_id ";
  $return = $dal->query($sql);
    
}

//$_SESSION['project'] = $pr_id;
//$_SESSION['parcel'] = $pa_id;
//$_SESSION['workday'] = $wo_id;
//$_SESSION['loginworkday'] = $lw_id;
//$_SESSION['projectworkday'] = $pw_id;

echo json_encode ($pw_id);

?>
