<?php
session_start();
require_once($_SERVER['DOCUMENT_ROOT'] . '/sys/db.php');

foreach ($_POST as $paramName => $paramValue) {
  if ($paramName == "selectid")
    $pw_id = $paramValue;
}

$dal = new DAL();
// ids to store in Session
$sql = "SELECT PW.workday_id AS wo_id, PW.parcel_id as pa_id, " .
       "LW.id AS lw_id, PA.project_id AS pr_id " .
       "FROM projectworkday PW, loginworkday LW, parcel PA " .
       "WHERE PW.id = $pw_id AND PW.login_id = LW.login_id AND " . 
       "PW.workday_id = LW.workday_id AND PA.id = PW.parcel_id LIMIT 1 "; 
$workdays = $dal->query($sql); 

// form values 
$sql = "SELECT PW.id,  PR.id as sumid, " .
       "PA.project_id, CONCAT (PR.refno, ': ', PR.name) AS project_id_text, " .
       "PW.parcel_id,  PA.name AS parcel_id_text, " .
       "WO.date,       WO.textdate AS date_text, " .
       "FW.start_time, FW.start_time AS start_time_text, " . 
       "FW.end_time,   FW.end_time AS end_time_text, " .
       "FW.break_dur,  FW.break_dur AS break_dur_text,  " .
       "PW.note,       '' AS note_text  " .
       "FROM projectworkday PW, fieldworkday FW, workday WO, " .
       "parcel PA, project PR " .
       "WHERE PW.id = $pw_id AND FW.projectworkday_id = PW.id " .
       "AND PW.parcel_id = PA.id AND PW.workday_id = WO.id " .
       "AND PA.project_id = PR.id LIMIT 1";
$result = $dal->query($sql);

$_SESSION['project'] = $workdays->pr_id;
$_SESSION['parcel'] = $workdays->pa_id;
$_SESSION['workday'] = $workdays->wo_id;
$_SESSION['loginworkday'] = $workdays->lw_id;
$_SESSION['projectworkday'] = $pw_id;
unset ($_SESSION['projectworkdayoperation']);
unset ($_SESSION['operationspatialunit']);

echo json_encode($result);

?>

